Download it now!
Bug 112337 - Pivot table: empty / blank item is not imported from XLS
Summary: Pivot table: empty / blank item is not imported from XLS
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.0.0
Keywords: filter:xls
Depends on:
Blocks: Pivot-Table-XLS
  Show dependency treegraph
 
Reported: 2017-09-11 22:20 UTC by Tamás Zolnai
Modified: 2019-04-18 05:54 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
A pivot table with an empty item (22.50 KB, application/vnd.ms-excel)
2017-09-11 22:21 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-09-11 22:20:47 UTC
Description:
Both in MSO and LO pivot table fields can have empty items which means the source range has an empty cell for one of the source columns. In MSO it's identified ba the name "(blank)", while LO it is called "(empty)". If I save a pivot table with an empty field item into an XLS file in Excel, it is not imported to Calc

Steps to Reproduce:
1. Open attached file
2. Check the row field's member (open the popup button on cell A4)

Actual Results:  
Empty item is missing

Expected Results:
Empty item should be imported


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36
Comment 1 Tamás Zolnai 2017-09-11 22:21:12 UTC
Created attachment 136182 [details]
A pivot table with an empty item
Comment 2 Commit Notification 2017-09-12 08:39:04 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d44c7ffda598d4d4e8a3963133735a771ba3fe30

tdf#112337: Pivot table: empty / blank item is not imported from XLS

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.